Bug 117494 - rhnsd starts by waiting a full interval
Summary: rhnsd starts by waiting a full interval
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-04 17:12 UTC by David Juran
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 20:55:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Juran 2004-03-04 17:12:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
When rhnsd is started, it always starts by waiting a full interval
before trying to check in with RHN. This is a problem in the case of
laptops which are moved around a lot and very seldom hooked into the
network for 4 hours at a time. In these cases it results in the
laptops never checking in to RHN. 
I would suggest to start with checking when rhnsd last ran and then if
this was more then an interval ago, run it immediatley upon starup.


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. Start up a compueter 
2. reboot it in less then an interval (typically 4 h.)
3. repeat

Comment 1 Suzanne Hillman 2004-03-09 15:59:37 UTC
Internal RFE bug #117875 entered; will be considered for future releases.

Comment 2 Suzanne Hillman 2004-05-25 20:55:47 UTC
A workaround for this problem is to manually add a check to run
/usr/sbin/rhn_check, perhaps in an initscript late in the boot process.


Note You need to log in before you can comment on or make changes to this bug.